/* bprop.h - Morse Code Dojo basic property dialog
 * 
 *  Morse Code Dojo
 * 
 *  Copyright (c) 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */
#ifndef BASICPROPERTIES_H
#define BASICPROPERTIES_H

#include <qvariant.h>
#include <qdialog.h>
#include <sys/types.h>

#include "mrand.h"

class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QComboBox;
class QLabel;
class QLineEdit;
class QPushButton;
class QSpinBox;

class BasicProperties : public QDialog
{ 
   Q_OBJECT

public:
   BasicProperties( QWidget* parent = 0, const char* name = 0, bool modal = TRUE, WFlags fl = 0 );
   ~BasicProperties();

   void setCharSpeed(int);
   void setWordSpeed(int);
   int  getCharSpeed(void);
   int  getWordSpeed(void);

   void setTime(time_t);
   time_t  getTime(void);

   void setWeight(MRWeight);
   MRWeight getWeight(void);

protected slots:
   void okClicked(void);
   void wordSpeedChanged(int);
   void charSpeedChanged(int);
   time_t stringToTime(QString s);

protected:

   QComboBox* weight_v;
   QSpinBox* word_v;
   QLabel* char_l;
   QLabel* word_l;
   QSpinBox* char_v;
   QLabel* weight_l;
   QPushButton* ok_b;
   QPushButton* cancel_b;
   QLineEdit* time_v;
   QLabel* time_l;

   QGridLayout* BasicPropertiesLayout;

};

#endif // BASICPROPERTIES_H
