/* codedojo.cpp - Morse Code Dojo initialization
 * 
 *  Morse Code Dojo
 * 
 *  Copyright (c) 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */

#include <stdio.h>
#include <stdlib.h>
#include <qapplication.h>

#ifdef USE_KDE
#include <kapp.h>
#endif /* USE_KDE */

#include "recgame.h"
#include "practice.h"
#include "mainwin.h"
#include "graph.h"

class MyApp 
#ifdef USE_KDE
   : public KApplication 
#else /* ! USE_KDE */
   : public QApplication 
#endif /* USE_KDE */
{
public:
   MyApp::MyApp(int, char **);
};

MyApp::MyApp(int argc, char **argv) 
#ifdef USE_KDE
   : KApplication(argc, argv, "Morse Code Dojo")
#else /* ! USE_KDE */
   : QApplication(argc, argv)
#endif /* USE_KDE */
{
}

int main(int argc, char *argv[])
{
   MyApp app(argc, argv);
   MainWin r;
   app.setMainWidget(&r);
   r.show();
   return app.exec();
}
