/* mainwin.h - Morse Code Dojo main (menu) window
 *  
 *  Morse Code Dojo
 * 
 *  Copyright (c) 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */
#ifndef MAINWIN_H
#define MAINWIN_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QGroupBox;
class QPushButton;
class Practice;
class RecGame;
class Lesson;
class Morse;
class MRand;
class WeightWin;
class Prof;

class MainWin : public QDialog
{ 
    Q_OBJECT

public:
    MainWin( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~MainWin();

public slots:
    virtual void kochClicked();
    virtual void lessonsClicked();
    virtual void okClicked();
    virtual void weightClicked();
    virtual void practiceClicked();
    virtual void profClicked();
    virtual void recGameClicked();

protected:
    WeightWin  * m_weight;
    RecGame    * m_recGame;
    Practice   * m_practice;
    Lesson     * m_lesson;
    Prof       * m_prof;
    Morse      * m_morse;
    MRand      * m_mRand;

    QGroupBox* GroupBox1;
    QPushButton* lesson_b;
    QPushButton* koch_b;
    QPushButton* practice_b;
    QGroupBox* GroupBox2;
    QPushButton* recgame_b;
    QPushButton* prof_b;
    QPushButton* weight_b;
    QPushButton* ok_b;

    QVBoxLayout* MainWinLayout;
    QHBoxLayout* Layout6;
    QVBoxLayout* GroupBox1Layout;
    QVBoxLayout* GroupBox2Layout;
    QHBoxLayout* Layout5;
};

#endif // MAINWIN_H
