/* prof.h - Morse Code Dojo proficiency window
 * 
 *  Morse Code Dojo
 * 
 *  Copyright (c) 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */
#ifndef DELAYED_H
#define DELAYED_H

#include <qvariant.h>
#include <qdialog.h>
#include <sys/types.h>
#include <time.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QFrame;
class QLabel;
class QMultiLineEdit;
class QTextView;
class QPushButton;
class QTimer;
class Morse;
class MRand;

class Prof : public QDialog
{ 
   Q_OBJECT

   public:
      Prof( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
      virtual ~Prof();
      void show();


   signals:
      void closed();

   protected slots:
      void startPressed();
      void stopPressed();
      void elapsedTimeout();
      void closeEvent(QCloseEvent *);
      void reject();

   protected:
      QString m_sent;
      Morse *m_morse;
      MRand *m_mRand;
      bool   m_accepting; /* Accepting keystrokes? */
      time_t m_startTime;

      QTimer* elapsed_t;
      QFrame* Frame5;
      QLabel* time_l;
      QLabel* time_v;
      QFrame* Frame4;
      QTextView* code_v;
      QMultiLineEdit* edit_v;
      QPushButton* start_b;
      QPushButton* stop_b;
      QPushButton* close_b;

      QVBoxLayout* ProfLayout;
      QVBoxLayout* Frame5Layout;
      QHBoxLayout* Layout1;
      QVBoxLayout* Frame4Layout;
      QHBoxLayout* Layout8;

};

#endif // DELAYED_H
