/* weightwin.h - Morse Code Dojo weight display / edit window
 * 
 *  Morse Code Dojo
 * 
 *  Copyright (c) 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */
#ifndef WEIGHTWIN_H
#define WEIGHTWIN_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class Graph;
class QComboBox;
class QPushButton;
class MRand;

#include "weight.h"

class WeightWin : public QDialog
{ 
   Q_OBJECT

public:
   WeightWin( QWidget* parent = 0, const char* name = 0, bool modal = TRUE, WFlags fl = 0 );
   ~WeightWin();

   Graph* weight_g;
   QComboBox* weight_v;
   QPushButton* ok_b;
   QPushButton* PushButton1_2;

public slots:
   virtual void weightChanged(const QString&);
   void newPoint(int, int);
   void show(void);
   void okPressed(void);

signals:
   void closed();

protected slots:
   void closeEvent(QCloseEvent *);

protected:
   void updateGraph(void);
   QVBoxLayout* WeightWinLayout;
   QHBoxLayout* Layout1;
   MRand  *m_mRand;
   Weight m_student;
};

#endif // WEIGHTWIN_H
